claw::pair_second< Pair > Class Template Reference

Fuction object to get the second element of a std::pair. More...

`#include <functional.hpp>`

Inheritance diagram for claw::pair_second< Pair >:

## Additional Inherited Members

Public Types inherited from claw::second< Pair::first_type, Pair::second_type >
using | argument_type
using | result_type
Public Member Functions inherited from claw::second< Pair::first_type, Pair::second_type >
Pair::second_type & | operator() (std::pair< Pair::first_type, Pair::second_type > &p) const

## Detailed Description

template<class Pair>
class claw::pair_second< Pair >

Fuction object to get the second element of a std::pair.

Remarks
  Contrary to claw::second, the template argument is a std::pair.

Author
  Julien Jorge

Definition at line 151 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp